1. APIs
OpenAPI space
  • APIs
    • Retrieves a list of currently defined APIs in API meta list format.
      GET
    • Retrieves an API meta listing of all APIs defined for this owner
      GET
    • Deletes the specified API
      DELETE
    • Retrieves an API meta listing for all API versions for this owner and API
      GET
    • Saves the provided Swagger definition
      POST
    • Deletes a particular version of the specified API
      DELETE
    • Publish a particular version of the specified API
      POST
    • Retrieves the Swagger definition for the specified API and version in JSON format
      GET
    • Retrieves the Swagger definition for the specified API and version in YAML format
      GET
  • Auth
    • Log in to OpenAPI space
      POST
    • Log in to OpenAPI space using an APInf account
      POST
    • Log in to OpenAPI space using an APInf authentication token
      POST
    • Log out from OpenAPI space
      POST
    • Check whether or not you are authenticated
      POST
    • Register to OpenAPI space
      POST
  • Schemas
    • Schemas
      • APIMeta
      • APIMetaList
      • Credentials
      • LoginToken
      • Registration
  1. APIs

Deletes the specified API

DELETE
/apis/{owner}/{api}

Request

Path Params

Responses

🟢200the API was successfully deleted
application/json
Bodyapplication/json

🟠403access denied
🟠404specified API not found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://openapi.space/api/v1/apis//'
Response Response Example
200 - Example 1
[
    {
        "created": "2019-08-24T14:15:22.123Z",
        "description": "string",
        "modified": "2019-08-24T14:15:22.123Z",
        "name": "string",
        "owner": "string",
        "swagger": {},
        "url": "string",
        "versions": [
            null
        ]
    }
]
Modified at 2023-08-15 10:35:02
Previous
Retrieves an API meta listing of all APIs defined for this owner
Next
Retrieves an API meta listing for all API versions for this owner and API
Built with